package com.ruoyi.system.entity.vo;

import com.ruoyi.system.entity.BpmNodeHandleUser;
import com.ruoyi.system.entity.BpmNodeScriptRelevance;
import com.ruoyi.system.entity.BpmProcessConfiguration;

import java.util.List;

/**
 * @author hanzihang
 * @date 2023/10/26 1:06PM
 */
public class NodeVo {
    // 流程节点表
    private List<BpmProcessConfiguration> bpmProcessConfigurationList;
    // 节点脚本关系表
    private List<BpmNodeScriptRelevance> bpmNodeScriptRelevanceList;
    // 节点执行用户关系表
    private List<BpmNodeHandleUser> bpmNodeHandleUserList;
    //  需要删除的节点id
    private Long[] removeNodeIds;

    public Long[] getRemoveNodeIds() {
        return removeNodeIds;
    }

    public void setRemoveNodeIds(Long[] removeNodeIds) {
        this.removeNodeIds = removeNodeIds;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("nodeVo{");
        sb.append("bpmProcessConfigurationList=").append(bpmProcessConfigurationList);
        sb.append(", bpmNodeScriptRelevanceList=").append(bpmNodeScriptRelevanceList);
        sb.append(", bpmNodeHandleUserList=").append(bpmNodeHandleUserList);
        sb.append('}');
        return sb.toString();
    }

    public List<BpmProcessConfiguration> getBpmProcessConfigurationList() {
        return bpmProcessConfigurationList;
    }

    public void setBpmProcessConfigurationList(List<BpmProcessConfiguration> bpmProcessConfigurationList) {
        this.bpmProcessConfigurationList = bpmProcessConfigurationList;
    }

    public List<BpmNodeScriptRelevance> getBpmNodeScriptRelevanceList() {
        return bpmNodeScriptRelevanceList;
    }

    public void setBpmNodeScriptRelevanceList(List<BpmNodeScriptRelevance> bpmNodeScriptRelevanceList) {
        this.bpmNodeScriptRelevanceList = bpmNodeScriptRelevanceList;
    }

    public List<BpmNodeHandleUser> getBpmNodeHandleUserList() {
        return bpmNodeHandleUserList;
    }

    public void setBpmNodeHandleUserList(List<BpmNodeHandleUser> bpmNodeHandleUserList) {
        this.bpmNodeHandleUserList = bpmNodeHandleUserList;
    }
}
